### Function Reference: `copulacdf`

statistics: p = copulacdf (family, x, theta)
statistics: p = copulacdf ('t', x, theta, df)

Copula family cumulative distribution functions (CDF).

### Arguments

- family is the copula family name. Currently, family can be `'Gaussian'` for the Gaussian family, `'t'` for the Student’s t family, `'Clayton'` for the Clayton family, `'Gumbel'` for the Gumbel-Hougaard family, `'Frank'` for the Frank family, `'AMH'` for the Ali-Mikhail-Haq family, or `'FGM'` for the Farlie-Gumbel-Morgenstern family.
- x is the support where each row corresponds to an observation.
- theta is the parameter of the copula. For the Gaussian and Student’s t copula, theta must be a correlation matrix. For bivariate copulas theta can also be a correlation coefficient. For the Clayton family, the Gumbel-Hougaard family, the Frank family, and the Ali-Mikhail-Haq family, theta must be a vector with the same number of elements as observations in x or be scalar. For the Farlie-Gumbel-Morgenstern family, theta must be a matrix of coefficients for the Farlie-Gumbel-Morgenstern polynomial where each row corresponds to one set of coefficients for an observation in x. A single row is expanded. The coefficients are in binary order.
- df is the degrees of freedom for the Student’s t family. df must be a vector with the same number of elements as observations in x or be scalar.

### Return values

- p is the cumulative distribution of the copula at each row of x and corresponding parameter theta.

### Examples

     x = [0.2:0.2:0.6; 0.2:0.2:0.6];
     theta = [1; 2];
     p = copulacdf ("Clayton", x, theta)
     x = [0.2:0.2:0.6; 0.2:0.1:0.4];
     theta = [0.2, 0.1, 0.1, 0.05];
     p = copulacdf ("FGM", x, theta)

### References

1. Roger B. Nelsen. An Introduction to Copulas. Springer, New York, second edition, 2006.

See also: copulapdf, copularnd

Source Code: copulacdf